Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.metaimpl
Class BaseValueObjectDefinition

`java.lang.Object
oracle.binding.metaimpl.BaseValueObjectDefinition`

All Implemented Interfaces:
  Definition, NamedDefinition, VariableDefinition

Direct Known Subclasses:
  BaseAttributeDefinition

public class BaseValueObjectDefinition
extends java.lang.Object
implements VariableDefinition

A class for holding metadata of variables.

Field Summary

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Constructor Summary
`BaseValueObjectDefinition(java.lang.String id, Definition parent, java.lang.String bindPath, java.lang.String javaType)` Constructor.

Method Summary
`DataControlDefinition` | `getDataControlDefinition()` Returns the definition of the DataControl that the variable belongs to.
`Definition` | `getDefinitionParent()` Returns the parent of this metadata definition, which is the Definition that contains this Definition.
`int` | `getDefinitionType()` Retrieves the type of the variable.
`java.lang.String` | `getFullName()` Returns the full name of this Definition.
`java.lang.String` | `getJavaTypeString()` Retrieves the type of the variable.
`java.lang.String` | `getName()` Returns the name of this Definition.
`java.util.Hashtable` | `getProperties()` Gets the table of properties.
`java.lang.Object` | `getProperty(java.lang.String propertyName)` Returns the value of the given property name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseValueObjectDefinition

    public BaseValueObjectDefinition(java.lang.String id,
                                     Definition parent,
                                     java.lang.String bindPath,
                                     java.lang.String javaType)

  Constructor.
Parameters:
  `id` - Name of the variable.
  `parent` - Metadata of the parent structure.
  `bindPath` - Path used to find this object at runtime
  `javaType` - Fully-qualified Java class name of the attribute type.
See Also:
  `VariableDefinition`

Method Detail

### getJavaTypeString

    public java.lang.String getJavaTypeString()

  Retrieves the type of the variable.
  Specified by:
    `getJavaTypeString` in interface `VariableDefinition`
  Returns:
    The fully qualified Java class name of the variable type.

### getDataControlDefinition

    public DataControlDefinition getDataControlDefinition()

  Returns the definition of the DataControl that the variable belongs to. This method attempts to retrieve the DataControlDefinition from the parent definition.
  Specified by:
    `getDataControlDefinition` in interface `VariableDefinition`
  Returns:
    The DataControlDefinition of the datacontrol that this variable comes from.

### getDefinitionType

    public int getDefinitionType()

  Retrieves the type of the variable. It can be one of the TYPE_* contants definied in VariableDefinition.
  Specified by:
    `getDefinitionType` in interface `Definition`
  Returns:
    Always return TYPE_PRIMITIVE.

### getName

    public java.lang.String getName()

  Returns the name of this Definition.
  Specified by:
    `getName` in interface `NamedDefinition`
  Returns:
    Name of this Definition.

### getDefinitionParent

    public Definition getDefinitionParent()

  Returns the parent of this metadata definition, which is the Definition that contains this Definition. For example, the parent of an AttributeDefinition could be a StructureDefinition if the attribute is contained in the structure.
  Specified by:
    `getDefinitionParent` in interface `NamedDefinition`
  Returns:
    The parent Defintion

### getFullName

    public java.lang.String getFullName()

  Returns the full name of this Definition.
  Specified by:
    `getFullName` in interface `NamedDefinition`
  Returns:
    Full name of this Definition.

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyName)

  Returns the value of the given property name.
  Specified by:
    `getProperty` in interface `NamedDefinition`
  Parameters:
    `propertyName` - Name of property whose value is to be returned.
  Returns:
    Always return null since this class does not have any property.

### getProperties

    public java.util.Hashtable getProperties()

  Gets the table of properties. This returns a hashtable to ensure any modification done by caller would be synchronized. Note that this API has not been added to the JSR yet.
  Specified by:
    `getProperties` in interface `NamedDefinition`
  Returns:
    a hashtable of properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.